import java.nio.file.Paths;

public class Main {
    public static void main(String[] args) {
        // Create a graph
        Graph graph = GraphBuilder.buildGraphFromFile(Paths.get("testdata", "Cities.csv").toString());
        // Path if working dir is different (java.io.FileNotFoundException: testdata/Cities.csv (No such file or directory))
        //Graph graph = GraphBuilder.buildGraphFromFile(Paths.get("RouteFinder", "testdata", "Cities.csv").toString());
        // Compute the shortest route from Zurich to Lausanne
        IRoute r = graph.calculateShortestPath("Zurich", "Lausanne");
        // Print the shortest route
        System.out.println(r);
    }
}

